Skip to content
Start here

List Job Logs

Deprecated
GET/accounts/{account_id}/autorag/rags/{id}/jobs/{job_id}/logs

List Job Logs

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Auto Rag WriteAuto Rag Read
Path ParametersExpand Collapse
account_id: string
id: string

rag id

maxLength32
minLength1
job_id: string
Query ParametersExpand Collapse
page: optional number
minimum1
per_page: optional number
maximum500
minimum0
ReturnsExpand Collapse
result: array of object { id, created_at, message, message_type }
id: number
created_at: number
message: string
message_type: number
result_info: object { count, page, per_page, total_count }
count: number
page: number
per_page: number
total_count: number
success: boolean

List Job Logs

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/autorag/rags/$ID/jobs/$JOB_ID/logs \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "id": 0,
      "created_at": 0,
      "message": "message",
      "message_type": 0
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": 0,
      "created_at": 0,
      "message": "message",
      "message_type": 0
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}